Репозиторий Sisyphus
Последнее обновление: 17 декабря 2018 | Пакетов: 18645 | Посещений: 12720706
en ru br
Майнтейнер: Vitaly Chikunov

 Информация   Пакеты   Bugs and FR  Repocop 

Сообщения от repocop:

пакет статус тест сообщение
capnproto-devel-0.6.1-alt1.x86_64
warn
library-pkgnames-static package contains static library which has the same name as a shared library in the repository, but neither package name ends with -devel-static according to http://altlinux.org/Drafts/SharedLibs nor the package explicitly conflicts with the package with .so library
capnproto-libs-0.6.1-alt1.x86_64
info
library-pkgnames package contains public library which is used in external packages: name should be lib* according to http://altlinux.org/Drafts/SharedLibs
dm-secdel-1.0.3-alt1.noarch
warn
systemd-but-no-native-init The package have native systemd file(s) but no SysV init scripts.
libbcc-0.5.0-alt1.458.x86_64
info
altlinux-policy-shared-lib-contains-devel-so SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libbcc.so but just /usr/lib64/libbcc.so.0.5.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libbcc.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /usr/lib64/libbcc.so to \%files of libbcc-0.5.0-alt1.458.x86_64. Otherwise, move the symlink into the subpackage lib-devel. There is a known exception for case the .so file is not a shared lib but a plugin that is never directly linked with. Please report such a case to repocop test. SharedLibs Policy Draft violation: Shared Lib package should not contain symlink /usr/lib64/libbpf.so but just /usr/lib64/libbpf.so.0.5.0. According to SharedLibs Policy Draft, symlink /usr/lib64/libbpf.so should be placed in a special subpackage named lib-devel. If you have already packaged this symlink in lib-devel, just append \%exclude /... [the rest of the message is skipped]
rr-project-5.2.0-alt1.x86_64
warn
rpm-filesystem-conflict-file-file File /usr/bin/rr conflicts with the package rr-1.3-alt1.qa1.x86_64. Moreover, the packages have no explicit conflicts with each other. You should add explicit conflicts, or, if conflicts are avoidable, consider using alternatives.
 
дизайн и разработка: Vladimir Lettiev aka crux © 2004-2005, Andrew Avramenko aka liks © 2007-2008
текущий майнтейнер: Michael Shigorin